# -*- encoding: utf-8 -*-
# stub: diru 0.1.4 ruby lib

Gem::Specification.new do |s|
  s.name = "diru".freeze
  s.version = "0.1.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tero Isannainen".freeze]
  s.date = "2020-01-26"
  s.description = "Diru is a Change Directory (cd) utility for\naugmenting Unix Shell functionality. Diru makes it easy and efficient\nto jump around in Project's directories. Diru uses client/server\narchitecture, which enables sharing of directory info and state\nbetween terminal sessions.\n\nEach Server serves one Project, which is a tree of related directories\nwhere user wants to jump around and which has a logical root. There\ncan be multiple Servers, if user needs to access multiple Projects\nconcurrently.\n\nClient queries directory info from Server and directory change is\npushed to Shell in order to change the current directory within the\nShell.".freeze
  s.email = "tero.isannainen@gmail.com".freeze
  s.executables = ["diru".freeze]
  s.extra_rdoc_files = ["README.rdoc".freeze, "CHANGELOG.rdoc".freeze]
  s.files = ["CHANGELOG.rdoc".freeze, "README.rdoc".freeze, "bin/diru".freeze]
  s.licenses = ["Ruby".freeze]
  s.post_install_message = "Check README...".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Diru is a Change Directory (cd) utility.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<como>.freeze, [">= 0.2.0"])
  else
    s.add_dependency(%q<como>.freeze, [">= 0.2.0"])
  end
end
